# I3DShFacetMeshPrimitive Struct Reference
[External Interfaces]

Inheritance diagram for I3DShFacetMeshPrimitive:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SetBoundingBox (const TBBox3D &bbox)=0
virtual MCCOMErr MCCOMAPI | SetNbrLOD (uint32 nbrLod)=0
virtual MCCOMErr MCCOMAPI | SetFacetMesh (uint32 index, real lod, FacetMesh *mesh)=0
virtual MCCOMErr MCCOMAPI | SetUVSpaceCount (int32 nbrUV)=0
virtual MCCOMErr MCCOMAPI | SetUVSpace (int32 index, const UVSpaceInfo &uvSpaceInfo)=0

## Detailed Description

This interface is supported only by the facet mesh primitive that is bundled with the application. It can be used from an importer to store a mesh into a facet mesh primitive (family ID 'prim', classID 'fmes').

## Member Function Documentation

virtual void MCCOMAPI I3DShFacetMeshPrimitive::SetBoundingBox | ( | const TBBox3D & | bbox | ) | `[pure virtual]`

Sets the bounding of the mesh.

Parameters:

  | bbox | The bounding box of the mesh.

virtual MCCOMErr MCCOMAPI I3DShFacetMeshPrimitive::SetFacetMesh | ( | uint32 | index,
|  | real | lod,
|  | FacetMesh * | mesh |
| ) |  |  | `[pure virtual]`

Sets the facet mesh for a given level of detail. Note that the primitive keeps a reference to the facetmesh so you should not modify it once you have called this function.

Parameters:

  | index | The index of the level of detail (0 based).
  | lod | The precision of the level of detail (0 is the maximum precision).
  | mesh | A point to the facet mesh.

virtual MCCOMErr MCCOMAPI I3DShFacetMeshPrimitive::SetNbrLOD | ( | uint32 | nbrLod | ) | `[pure virtual]`

Sets the number of levels of details that the primitive contains.

Parameters:

  | nbrLod | The number of levels of details.

virtual MCCOMErr MCCOMAPI I3DShFacetMeshPrimitive::SetUVSpace | ( | int32 | index,
|  | const UVSpaceInfo & | uvSpaceInfo |
| ) |  |  | `[pure virtual]`

Sets the definition of a given shading domaine (UV space).

Parameters:

  | index | The 0-based index of the shading domaine.
  | uvSpaceInfo | The definition of the shading domaine.

virtual MCCOMErr MCCOMAPI I3DShFacetMeshPrimitive::SetUVSpaceCount | ( | int32 | nbrUV | ) | `[pure virtual]`

Sets the number of shading domaines (UV spaces).

Parameters:

  | nbrUV | The number of shading domaines.

The documentation for this struct was generated from the following file:

- I3dShFacetMesh.h